CodelessConnectorPollingAuthProperties Class
Describe the authentication properties needed to successfully authenticate with the server.
All required parameters must be populated in order to send to Azure.
- Inheritance
-
CodelessConnectorPollingAuthProperties
Constructor
CodelessConnectorPollingAuthProperties(*, auth_type: str, api_key_name: Optional[str] = None, api_key_identifier: Optional[str] = None, is_api_key_in_post_payload: Optional[str] = None, flow_name: Optional[str] = None, token_endpoint: Optional[str] = None, authorization_endpoint: Optional[str] = None, authorization_endpoint_query_parameters: Optional[Any] = None, redirection_endpoint: Optional[str] = None, token_endpoint_headers: Optional[Any] = None, token_endpoint_query_parameters: Optional[Any] = None, is_client_secret_in_header: Optional[bool] = None, scope: Optional[str] = None, **kwargs)
Variables
- auth_type
- str
Required. The authentication type.
- api_key_name
- str
The header name which the token is sent with.
- api_key_identifier
- str
A prefix send in the header before the actual token.
- is_api_key_in_post_payload
- str
Marks if the key should sent in header.
- flow_name
- str
Describes the flow name, for example 'AuthCode' for Oauth 2.0.
- token_endpoint
- str
The endpoint used to issue a token, used in Oauth 2.0 flow.
- authorization_endpoint
- str
The endpoint used to authorize the user, used in Oauth 2.0 flow.
- authorization_endpoint_query_parameters
- any
The query parameters used in authorization request, used in Oauth 2.0 flow.
- redirection_endpoint
- str
The redirect endpoint where we will get the authorization code, used in Oauth 2.0 flow.
- token_endpoint_headers
- any
The query headers used in token request, used in Oauth 2.0 flow.
- token_endpoint_query_parameters
- any
The query parameters used in token request, used in Oauth 2.0 flow.
- is_client_secret_in_header
- bool
Marks if we should send the client secret in header or payload, used in Oauth 2.0 flow.
- scope
- str
The OAuth token scope.
Feedback
Submit and view feedback for